# Function cif::pdb::is_valid_pdbx_file(const file&, std::string_view)

- Defined in File pdb.hpp

## Function Documentation

bool cif::pdb::is_valid_pdbx_file(const file &pdbx_file, std::string_view dictionary = "mmcif_pdbx")

  This is an extension to cif::validator, use the logic in common PDBx files to see if the file is internally consistent.

  This function for now checks if the following categories are consistent:

  atom_site -> pdbx_poly_seq_scheme -> entity_poly_seq -> entity_poly -> entity

  Use the common cif::VERBOSE flag to turn on diagnostic messages.

  This function throws a std::system_error in case of an error

  Parameters:

    - file – The input file

    - dictionary – The mmcif dictionary to use

  Returns:

    Returns true if the file was valid and consistent